@echo off
echo *========================================================================*
echo * Welcome to the Microsoft FORTRAN PowerStation Test Drive!              *
echo *------------------------------------------------------------------------*
echo *                                                                        *
echo * This Test Drive of Microsoft FORTRAN PowerStation consists of:         *
echo *   1) Guided tour of the FORTRAN PowerStation Visual Workbench          *
echo *   2) Fully functional evaluation 32-bit FORTRAN compiler               *
echo *                                                                        *
if exist .\f13232.ex_ goto found
echo * Please start the setup program while the current working directory     *
echo * is the test drive floppy root directory.  For example, if your         *
echo * floppy disk drive is "a:", type "a:" on the MS-DOS command line        *
echo * by itself and press enter.  This will change the working directory.    *
goto done
:found
if "%1"=="" goto nopath
set IP=%1
goto start
:nopath
set IP=C:\FPS
echo * This setup program will copy the Test Drive to C:\FPS.                 *
echo * If this is acceptable, please press Enter.  If you would like to       *
echo * install to a different path, please terminate this script (with        *
echo * Ctrl-C) and restart with the path (for example, "setup d:\fps").       *
pause
echo *                                                                        *
:start
echo * Unpacking files to directory %IP%...
echo *                                                                        *
mkdir %IP%
copy readme.txt %IP% > nul:
.\decomp.exe -f *.??_ %IP%
echo set TMP=%IP% > %IP%\SETENV.BAT
set TMP=%IP%
echo *                                                                        *
echo * Setup complete!                                                        *
echo *                                                                        *
echo * Before starting the compiler, be sure that the TMP environment         *
echo * variable is set to a valid path.  This has been done for you here;     *
echo * run SETENV.BAT (in the installation directory) each time MS-DOS is     *
echo * restarted (or add its contents to your AUTOEXEC.BAT).                  *
echo *                                                                        *
echo * Please read the file README.TXT for more information on                *
echo * using the compiler and taking the guided tour.                         *
:done
echo *                                                                        *
echo *========================================================================*

